Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## api
Struct Nes::Api::Cartridge::Profile

struct Nes::Api::Cartridge::Profile

Cartridge profile context.

Inner Classes, Typedefs, and Enums
`class` | `Nes::Api::Cartridge::Profile::Board` Board context.
`struct` | `Nes::Api::Cartridge::Profile::Dump` Dump context.
`struct` | `Nes::Api::Cartridge::Profile::Game` Game context.
`class` | `Nes::Api::Cartridge::Profile::Hash` Hash checksum.
`typedef` | `Nes::Api::Cartridge::Profile::Properties` Cartridge properties.
`struct` | `Nes::Api::Cartridge::Profile::Property` Cartridge property.
`struct` | `Nes::Api::Cartridge::Profile::System` System context.

Field Summary
`Nes::Api::Cartridge::Profile::Board` | `board` Board context.
`Nes::Api::Cartridge::Profile::Dump` | `dump` Dump context.
`Nes::Api::Cartridge::Profile::Game` | `game` Game context.
`Nes::Api::Cartridge::Profile::Hash` | `hash` Hash of ROM chips combined.
`bool` | `multiRegion` Multi-region game.
`bool` | `patched` Soft-patching state.
`Nes::Api::Cartridge::Profile::Properties` | `properties` Properties.
`Nes::Api::Cartridge::Profile::System` | `system` System context.

Constructor Summary
`Profile()`
`~Profile()`

Field Detail

### board

    public Nes::Api::Cartridge::Profile::Board board;

  Board context.

### dump

    public Nes::Api::Cartridge::Profile::Dump dump;

  Dump context.

### game

    public Nes::Api::Cartridge::Profile::Game game;

  Game context.

### hash

    public Nes::Api::Cartridge::Profile::Hash hash;

  Hash of ROM chips combined.

### multiRegion

    public bool multiRegion;

  Multi-region game.

### patched

    public bool patched;

  Soft-patching state.

### properties

    public Nes::Api::Cartridge::Profile::Properties properties;

  Properties.

### system

    public Nes::Api::Cartridge::Profile::System system;

  System context.

Constructor Detail

### Profile

    public Profile() throw();

### ~Profile

    public ~Profile() throw();

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD